%define         _state          stable
%define         orgname         smokeqt
%define         qtver           4.8.0

Summary:	smokeqt - A SMOKE library
Summary(pl.UTF-8):	smokeqt - Biblioteka SMOKE
Name:		kde4-smokeqt
Version:	4.14.3
Release:	8
License:	GPL v2+
Group:		X11/Libraries
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	0f38f465ccd1f9d878d6b91082069227
Patch0:		qscintilla.patch
URL:		http://www.kde.org/
BuildRequires:	cmake
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	phonon-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	qscintilla2-qt4-devel
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtDeclarative-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtHelp-devel >= %{qtver}
BuildRequires:	QtMultimedia-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtUiTools-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	QtXmlPatterns-devel  >= %{qtver}
BuildRequires:	qwt-devel
BuildRequires:	kde4-smokegen-devel >= %{version}
Obsoletes:	kde4-kdebindings-smoke-qt < 4.6.99
Obsoletes:	smokeqt <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMOKE library (Scripting Meta Object Kompiler Engine).

%description -l pl.UTF-8
Biblioteka SMOKE (Scripting Meta Object Kompiler Engine - silnik
kompilatora metaobiektów skryptowych).

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-smokegen-devel >= %{version}
Obsoletes:	kde4-kdebindings-smoke-devel < 4.6.99
Obsoletes:	smokeqt-devel <= 4.8.0

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
install -d build
cd build
export CXXFLAGS="%{rpmcxxflags} -std=gnu++98"
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_libdir}/libsmoke*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsmoke*.so.?

%files devel
%defattr(644,root,root,755)
%{_includedir}/smoke
%{_datadir}/smoke/*.argnames.txt
%{_datadir}/smoke/*.typedefs.txt
%{_datadir}/smokegen/qt-config.xml
%{_datadir}/smokegen/qtdefines
%attr(755,root,root) %{_libdir}/libsmoke*.so
%changelog
* Sun Oct 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-smokeqt.git;a=log;h=master

* Sun Oct 06 2019 Jan Rękorajski <baggins@pld-linux.org> 9cc7ae4
- release 8 (by relup.sh)

* Sat Sep 21 2019 Jan Rękorajski <baggins@pld-linux.org> a7cc0e6
- fix building qscintilla bits
- rel 7

* Sun Sep 15 2019 Jan Rękorajski <baggins@pld-linux.org> 27a8fb7
- rebuild with qscintilla2 2.11
- release 6 (by relup.sh)

* Thu Mar 28 2019 Jan Rękorajski <baggins@pld-linux.org> afd2292
- fix building with modern gcc
- rel 5

* Sun Nov 22 2015 Jan Rękorajski <baggins@pld-linux.org> 021bd16
- release 4 (by relup.sh)

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 8e557b0
- x32 rebuild
- release 3 (by relup.sh)

* Mon Mar 30 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 2b95ffb
- some BRs were listed twice
- BR qscintilla2-qt4-devel
- rel 2

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 94194dc
- updated to 4.14.3 (by update-kde4.sh)

* Fri Oct 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9256652
- up to 4.14.2

* Sat Aug 23 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5dd0a9b
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8636b0a
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 65d563c
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> e42138d
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4620337
- updated to 4.12.4 (by update-kde4.sh)

* Sat Mar 15 2014 Jan Rękorajski <baggins@pld-linux.org> d90ee22
- 4.12.3

* Sat Feb 08 2014 Jan Rękorajski <baggins@pld-linux.org> 0b32618
- 4.12.2

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 16daa01
- release 2 (by relup.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> bf6a7ce
- updated to 4.12.1 (by update-kde4.sh)

* Fri Dec 27 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 04b759f
- up to 4.12.0

* Wed Jul 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9824a30
- up to 4.10.5

